from PyQt5 import QtWidgets
from PyQt5.QtCore import QCoreApplication
import sys

class MyApp(QtWidgets.QMainWindow):
    def __init__(self):
        super().__init__()

        # 创建主菜单
        self.menu = QtWidgets.QMenu(QCoreApplication.translate("cyanlove", "申少军工具箱"))

        # 添加子项 "创建A"
        action_create_a = QtWidgets.QAction(QCoreApplication.translate("cyanlove", "创建A"), self.menu)
        self.menu.addAction(action_create_a)

        # 添加分隔符
        self.menu.addSeparator()

        # 添加子项 "创建B"
        action_create_b = QtWidgets.QAction(QCoreApplication.translate("cyanlove", "创建B"), self.menu)
        self.menu.addAction(action_create_b)

        # 添加分隔符
        self.menu.addSeparator()

        # 添加子项 "创建C"
        action_create_c = QtWidgets.QAction(QCoreApplication.translate("cyanlove", "创建C"), self.menu)
        self.menu.addAction(action_create_c)

        # 将菜单添加到主窗口的菜单栏
        self.menuBar().addMenu(self.menu)

# 主程序入口
if __name__ == "__main__":
    app = QtWidgets.QApplication(sys.argv)
    window = MyApp()
    window.show()
    sys.exit(app.exec_())
